View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014982Lazarus-public2009-11-03 10:412011-12-01 11:22
ReporterAlexey 
Assigned ToMattias Gaertner 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version 
Summary0014982: Can not compile default app
Description1. Clean up /<userprofile>/temp folder (MANDATORY!)
2. Start Lazarus IDE
3. Look messages
windres: can't open file `project1.manifest': No such file or directory
project1.lpr(20,1) Error: Error while compiling resources
project1.lpr(20,1) Fatal: There were 1 errors compiling module, stopping
TagsNo tags attached.
Fixed in Revision22849
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

- Relationships

-  Notes
(0031884)
Alexey (reporter)
2009-11-04 12:23

You must be misunderstood. It's about manifest-file, not lrs!
Here's transcription from 0.9.28.2/x32 default app (in 0.9.29/2.3.1 it says very informative "Error!" and no more! :)

Hint: Start of reading config file f:\lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Hint: End of reading config file f:\lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.2.4 [2009/10/25] for i386
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Win32 for i386
Compiling C:\Users\Alexis\AppData\Local\Temp\project1.lpr
Compiling unit1.pas
Compiling resource C:\Users\Alexis\AppData\Local\Temp\project1.rc
windres: can't open file `project1.manifest': No such file or directory
project1.lpr(20,1) Error: Error while linking
Hint: Start of reading config file f:\lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Hint: End of reading config file f:\lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.2.4 [2009/10/25] for i386
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Win32 for i386
Compiling C:\Users\Alexis\AppData\Local\Temp\project1.lpr
Compiling unit1.pas
Compiling resource C:\Users\Alexis\AppData\Local\Temp\project1.rc
f:\lazarus\fpc\2.2.4\bin\i386-win32\windres.exe: can't open file `project1.manifest': No such file or directory
project1.lpr(20,1) Error: Error while linking
project1.lpr(20,1) Fatal: There were 1 errors compiling module, stopping

- Issue History
Date Modified Username Field Change
2009-11-03 10:41 Alexey New Issue
2009-11-03 10:41 Alexey Widgetset => Win32/Win64
2009-11-03 11:35 Vincent Snijders LazTarget => -
2009-11-03 11:35 Vincent Snijders Status new => resolved
2009-11-03 11:35 Vincent Snijders Fixed in Version => 0.9.28.2
2009-11-03 11:35 Vincent Snijders Resolution open => fixed
2009-11-03 11:35 Vincent Snijders Assigned To => Vincent Snijders
2009-11-04 12:23 Alexey Status resolved => assigned
2009-11-04 12:23 Alexey Resolution fixed => reopened
2009-11-04 12:23 Alexey Note Added: 0031884
2009-11-04 12:31 Vincent Snijders LazTarget - => 0.9.30
2009-11-04 12:31 Vincent Snijders Assigned To Vincent Snijders =>
2009-11-04 12:31 Vincent Snijders Status assigned => acknowledged
2009-11-04 12:31 Vincent Snijders Target Version => 0.9.30
2009-11-04 12:31 Vincent Snijders Resolution reopened => open
2009-11-04 12:31 Vincent Snijders Fixed in Version 0.9.28.2 =>
2009-11-26 21:12 Vincent Snijders Assigned To => Mattias Gaertner
2009-11-26 21:12 Vincent Snijders Status acknowledged => assigned
2009-11-28 13:55 Mattias Gaertner Fixed in Revision => 22849
2009-11-28 13:55 Mattias Gaertner Status assigned => resolved
2009-11-28 13:55 Mattias Gaertner Resolution open => fixed
2011-12-01 11:22 Marc Weustink Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker